/*
Include CSS in HTML
	- Inline Styling
	- Internal Styling
	- External CSS (recommended)
*/

/*CSS Selectors*/
/*Universal Selector (*) - targets all elements.*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

body {
	background-color: skyblue;
}

html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}

/*selector: hover (pseudo class) */
/*changes the style when hovered over*/
a:hover {
	background-color: #b4d6de;
}

div {
	display: inline-block;
	float: right;
	/*float property - changes the horizontal alignment of a specified element*/
}
/*Type Selector (tag name) - targets elements with the specified type/tag name */
h1 {
	color: black !important;
	/*!important property override CSS styling*/
	text-align: center;
	font-size: 2rem;
	/* 
	num * default size of root element (20px) 
	2rem * 20px = 40px
	*/
}

section {
	height: 100vh;
	/*vh - viewport height*/
	/*vw - viewport width*/
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	list-style-type: none;
}

/*ID Selector (#id-name) - targets elements according to its id attribute; ideally for
  targeting a unique element*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*Class Selector (.class-name) - targets elements according to its class attribute */
.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector (tagname[attribute] - targets elements with a specified element attribute; use to target elements with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
	width: 90%;
}

/*Adjacent Selector*/
h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
#bootcamp-learning-list li{
	color: deeppink;
}

/*General Sibling Selector*/
h2 ~ a{
	text-decoration: none;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	width: 25vw;
	height: 185px;
	position: relative;
	left: 37.5%;
}

/*Child Selector*/

section > form > label {
	color: rgb(0, 0, 128);
	/*
	RGB values refers to RED, GREEN and BLUE
	minimum - 0
	maximum - 255
	*/
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}

/*CSS Selector Combinators*/
/*Descendant Selector (white space/space) - matches all elements that are descendants of a specified element*/

/*div p{
	background-color: red;
}*/

/*#parent	p{
	background-color: red;
}*/

/*Child Selector (>) - select all elements that are direct children of a specified element*/
/*div > p{
	background-color: red;
}*/

/*#parent > p{
	background-color: red;
}*/

/*General Sibling Selector (~) - select all elements that are next siblings of a specified element */
/*p ~ p {
	background-color: red;
}*/

/*p ~ section{
	background-color: red;
}*/

/*Adjacent Sibling Selector (+) - select an element that is directly after another specific element */
/*p + p{
	background-color: red;
}*/

/*div + p{
	background-color: red;
}